Package org.apache.commons.collections4.iterators

# Class EmptyListIterator<E>

java.lang.Object
org.apache.commons.collections4.iterators.EmptyListIterator<E>

Type Parameters:
  `E` - the type of elements returned by this iterator.

All Implemented Interfaces:
  `Iterator<E>`, `ListIterator<E>`, `OrderedIterator<E>`, `ResettableIterator<E>`, `ResettableListIterator<E>`

public class EmptyListIterator<E> extends Object implements ResettableListIterator<E>
Provides an implementation of an empty list iterator.

This class provides an implementation of an empty list iterator. This class provides for binary compatibility between Commons Collections 2.1.1 and 3.1 due to issues with `IteratorUtils`.

Since:
  2.1.1 and 3.1

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final ListIterator`
  `INSTANCE`
  Singleton instance of the iterator.
  `static final ResettableListIterator`
  `RESETTABLE_INSTANCE`
  Singleton instance of the iterator.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `EmptyListIterator()`
  Constructs a new instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add(E obj)`
  `static <E> ListIterator<E>`
  `emptyListIterator()`
  Gets a typed instance of the iterator.
  `boolean`
  `hasNext()`
  `boolean`
  `hasPrevious()`
  `E`
  `next()`
  `int`
  `nextIndex()`
  `E`
  `previous()`
  `int`
  `previousIndex()`
  `void`
  `remove()`
  `void`
  `reset()`
  `static <E> ResettableListIterator<E>`
  `resettableEmptyListIterator()`
  Gets a typed instance of the iterator.
  `void`
  `set(E obj)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.Iterator

  `forEachRemaining`

  ### Methods inherited from interface java.util.ListIterator

  `add, hasNext, hasPrevious, next, nextIndex, previous, previousIndex, remove, set`

  ### Methods inherited from interface org.apache.commons.collections4.OrderedIterator

  `hasPrevious, previous`

  ### Methods inherited from interface org.apache.commons.collections4.ResettableIterator

  `reset`

- ## Field Details

  - ### RESETTABLE_INSTANCE

    public static final ResettableListIterator RESETTABLE_INSTANCE
    Singleton instance of the iterator.
    Since:
      3.1

  - ### INSTANCE

    public static final ListIterator INSTANCE
    Singleton instance of the iterator.
    Since:
      2.1.1 and 3.1

- ## Constructor Details

  - ### EmptyListIterator

    protected EmptyListIterator()
    Constructs a new instance.

- ## Method Details

  - ### emptyListIterator

    public static <E> ListIterator<E> emptyListIterator()
    Gets a typed instance of the iterator.
    Type Parameters:
      `E` - the element type
    Returns:
      `ListIterator`<E>

  - ### resettableEmptyListIterator

    public static <E> ResettableListIterator<E> resettableEmptyListIterator()
    Gets a typed instance of the iterator.
    Type Parameters:
      `E` - the element type
    Returns:
      `ResettableListIterator`<E>

  - ### add

    public void add(E obj)

  - ### hasNext

    public boolean hasNext()

  - ### hasPrevious

    public boolean hasPrevious()

  - ### next

    public E next()

  - ### nextIndex

    public int nextIndex()

  - ### previous

    public E previous()

  - ### previousIndex

    public int previousIndex()

  - ### remove

    public void remove()

  - ### reset

    public void reset()

  - ### set

    public void set(E obj)